﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SilverlightApplication2
{
    public class Something
    {
        public String Value { get; set; }
    }

    public class MainVM : INotifyPropertyChanged
    {
        #region Properties

        public ObservableCollection<Something> Source
        {
            get { return m_Source; }
            set
            {
                m_Source = value;
                OnNotifyPropertyChanged("Source");
            }
        }
        private ObservableCollection<Something> m_Source;

        #endregion

        #region Constructor

        public MainVM()
        {
            Source = new ObservableCollection<Something>() { new Something() { Value = "25" }, new Something() { Value = "50" }, new Something() { Value = "100" } };
        }

        #endregion

        #region Implementation of INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        #region INotifyPropertyChanged methods

        protected void OnNotifyPropertyChanged(String property)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(property));
            }
        }

        #endregion
    }
}
